#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{

    char k,l;
    scanf("%c%c", &k, &l);
    int a,b;
    scanf("%d %d", &a, &b);

    int n=a+b;
    char s[n];
    int p=a-b;

    if(abs(p)>1)
        printf("nemoguce");

    if(a-b==1)
    {
        for(int i=0;i<n;i++)
        {
          if(i%2==0)
            printf("%c",k);

          else
            printf("%c",l);
        }
    }

    if(b-a==1)
    {
        for(int i=0;i<n;i++)
        {
          if(i%2==0)
            printf("%c",l);

          else
            printf("%c",k);
        }

    }


    if(a==b)
    {
         for(int i=0;i<n;i++)
        {
          if(i%2==0)
            printf("%c",k);

          else
            printf("%c",l);
        }
    }




    return 0;
}